package body MSHTML.DispHTMLCSSRule_Object is

   function Get_type
     (This : DispHTMLCSSRule_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLCSSRule_Get_type);
   end Get_type;

   procedure Put_cssText
     (This : DispHTMLCSSRule_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispHTMLCSSRule_Put_cssText,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_cssText;

   function Get_cssText
     (This : DispHTMLCSSRule_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLCSSRule_Get_cssText);
   end Get_cssText;

   function Get_parentRule
     (This : DispHTMLCSSRule_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLCSSRule_Get_parentRule);
   end Get_parentRule;

   function Get_parentStyleSheet
     (This : DispHTMLCSSRule_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispHTMLCSSRule_Get_parentStyleSheet);
   end Get_parentStyleSheet;

end MSHTML.DispHTMLCSSRule_Object;

